OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.BlendColor

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBlendColor :: MonadIO m => m Bool
- gl_EXT_blend_color :: Bool
- pattern GL_BLEND_COLOR_EXT :: GLenum
- pattern GL_CONSTANT_ALPHA_EXT :: GLenum
- pattern GL_CONSTANT_COLOR_EXT :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_ALPHA_EXT :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_COLOR_EXT :: GLenum
- glBlendColorEXT :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()

# Extension Support

glGetEXTBlendColor :: MonadIO m => m Bool Source #

Is the EXT_blend_color extension supported?

gl_EXT_blend_color :: Bool Source #

Is the EXT_blend_color extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBlendColor` in those cases instead.

# Enums

pattern GL_BLEND_COLOR_EXT :: GLenum Source #

pattern GL_CONSTANT_ALPHA_EXT :: GLenum Source #

pattern GL_CONSTANT_COLOR_EXT :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_ALPHA_EXT :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_COLOR_EXT :: GLenum Source #

# Functions

glBlendColorEXT Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

This command is an alias for `glBlendColor`.